Bug 191691 - NetworkManager-vpnc stopped working with vpnc client
NetworkManager-vpnc stopped working with vpnc client
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-15 05:14 EDT by Radek Vokal
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: NetworkManager-vpnc-0.6.2-1.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-17 06:00:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radek Vokal 2006-05-15 05:14:25 EDT
Description of problem:
After update to NetworkManager-0.6.2-2.fc5 my vpnc connection stopped working.
The log says

May 15 11:13:21 localhost NetworkManager: <information> Updating VPN Connections...
May 15 11:13:21 localhost NetworkManager: <WARNING>      nm_dbus_get_networks_cb
(): nm-dbus-nmi.c:522 (nm_dbus_get_networks_cb): error received:
org.freedesktop.NetworkManagerInfo.NoNetworks - There are no wireless networks
stored..
May 15 11:14:07 localhost NetworkManager: <information> Will activate VPN
connection 'Red Hat VPN', service 'org.freedesktop.NetworkManager.vpnc',
user_name 'rvokal', vpn_data 'IPSec gateway / x.x.x.x / IPSec ID / xx-vpn /
Xauth username / rvokal', route 'x.x.x.x/16 / x.x.x.x/8'.
May 15 11:14:07 localhost NetworkManager: <information> VPN Activation (Red Hat
VPN) Stage 1 of 4 (Connection Prepare) scheduled...
May 15 11:14:07 localhost NetworkManager: <information> VPN Activation (Red Hat
VPN) Stage 1 of 4 (Connection Prepare) ran VPN service daemon
org.freedesktop.NetworkManager.vpnc (PID 2345)
May 15 11:14:07 localhost NetworkManager: <information> VPN Activation (Red Hat
VPN) Stage 1 of 4 (Connection Prepare) complete.
May 15 11:14:07 localhost NetworkManager: <information> VPN Activation (Red Hat
VPN) Stage 2 of 4 (Connection Prepare Wait) scheduled...
May 15 11:14:07 localhost kernel: tun: Universal TUN/TAP device driver, 1.6
May 15 11:14:07 localhost kernel: tun: (C) 1999-2004 Max Krasnyansky
<maxk@qualcomm.com>
May 15 11:14:07 localhost NetworkManager: <information> VPN service
'org.freedesktop.NetworkManager.vpnc' signaled state change 1 -> 6.
May 15 11:14:07 localhost NetworkManager: <information> VPN Activation (Red Hat
VPN) Stage 2 of 4 (Connection Prepare Wait) waiting...
May 15 11:14:07 localhost NetworkManager: <information> VPN Activation (Red Hat
VPN) Stage 2 of 4 (Connection Prepare Wait) complete.
May 15 11:14:07 localhost NetworkManager: <information> VPN Activation (Red Hat
VPN) Stage 3 of 4 (Connect) scheduled...
May 15 11:14:07 localhost NetworkManager: <information> VPN Activation (Red Hat
VPN) Stage 3 of 4 (Connect) sending connect request.
May 15 11:14:07 localhost NetworkManager: <information> VPN Activation (Red Hat
VPN) Stage 3 of 4 (Connect) request sent, waiting for reply...
May 15 11:14:07 localhost NetworkManager: <information> VPN service
'org.freedesktop.NetworkManager.vpnc' signaled state change 6 -> 3.
May 15 11:14:07 localhost NetworkManager: <information> VPN Activation (Red Hat
VPN) Stage 3 of 4 (Connect) reply received.
May 15 11:14:07 localhost NetworkManager: <information> VPN Activation (Red Hat
VPN) Stage 4 of 4 (IP Config Get) timeout scheduled...
May 15 11:14:07 localhost NetworkManager: <information> VPN Activation (Red Hat
VPN) Stage 3 of 4 (Connect) complete, waiting for IP configuration...
May 15 11:14:09 localhost vpnc: local address for 172.16.83.169 is 192.168.1.13
May 15 11:14:09 localhost vpnc: local address for 66.187.230.252 is 192.168.1.13
May 15 11:14:09 localhost NetworkManager: <information> VPN Activation (Red Hat
VPN) Stage 4 of 4 (IP Config Get) reply received.
May 15 11:14:09 localhost NetworkManager: <WARNING>      get_dbus_guint32_helper
(): Error: couldn't get MSS from VPN IP Config message.
May 15 11:14:09 localhost NetworkManager: <WARNING>     
nm_vpn_service_stage4_ip_config_get (): (VPN Service
org.freedesktop.NetworkManager.vpnc): did not receive valid IP config information.
May 15 11:14:09 localhost NetworkManager: <information> VPN Activation (Red Hat
VPN) failed.
May 15 11:14:09 localhost NetworkManager: <information> VPN service
'org.freedesktop.NetworkManager.vpnc' signaled state change 3 -> 4.
May 15 11:14:09 localhost vpnc[2354]: poll: Interrupted system call
May 15 11:14:09 localhost NetworkManager: <information> VPN service
'org.freedesktop.NetworkManager.vpnc' signaled state change 4 -> 5.
May 15 11:14:09 localhost NetworkManager: <information> VPN service
'org.freedesktop.NetworkManager.vpnc' signaled state change 5 -> 6.
May 15 11:14:10 localhost vpnc[2354]: terminated


Version-Release number of selected component (if applicable):
# rpm -q NetworkManager
NetworkManager-0.6.2-2.fc5

How reproducible:
always

Steps to Reproduce:
1. setup RH vpnc access point
2. start vpnc from NM
3.
  
Actual results:
doesn't connect

Expected results:
connects (as it used to work in NM FC5 base - 0.6.0-3)

Additional info:
Comment 1 Dave Mitchell 2006-05-15 07:41:02 EDT
fails identically for me too.
Comment 2 Martin C. Messer 2006-05-15 09:35:08 EDT
I see the same failure, yet I'm using NetworkManager-vpnc-0.6.0-3.fc5. Failures
began after dbus upgrade to dbus-0.61-3.fc5.1.
Comment 3 Martin C. Messer 2006-05-16 23:00:29 EDT
NetworkManager-vpnc-0.6.2-1.fc5 fixed this problem for me.
Comment 4 Radek Vokal 2006-05-17 06:00:25 EDT
For me too, closing 

Note You need to log in before you can comment on or make changes to this bug.